#!/bin/sh

REGISTRY=code.balsillie.net
OWNER=containers/custom
#OWNER=michael
IMAGE=$1

TAG1=$(date +%Y-%m-%d_%H-%M-%S)
TAG2=latest

docker buildx build \
    --tag $REGISTRY/$OWNER/$IMAGE:$TAG1 \
    --tag $REGISTRY/$OWNER/$IMAGE:$TAG2 \
    --file ./$IMAGE/Dockerfile \
    --push \
    ./$IMAGE

# docker push $REGISTRY/$OWNER/$IMAGE:$TAG1
# docker push $REGISTRY/$OWNER/$IMAGE:$TAG2
